Page MenuHomePhabricator

[Regression pre-wmf.15] Cannot add any citation, getting error in the console "Uncaught TypeError: Cannot read property '$element' of null"
Closed, ResolvedPublic1 Estimated Story Points

Description

Cannot add any citation, getting error in the console "Uncaught TypeError: Cannot read property '$element' of null"

Event Timeline

Ryasmeen created this task.Feb 28 2017, 9:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2017, 9:45 PM
Ryasmeen added a comment.EditedMar 1 2017, 7:48 PM

Ok this doesn't happen the first time I add citation to a page in a session. Add one and then save the page. Reopen VE and try to add another one, thats when it crashes.

Change 340668 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/Citoid] Follow-up I805c991: Only try to clear the credit line if it exists

https://gerrit.wikimedia.org/r/340668

Jdforrester-WMF triaged this task as Unbreak Now! priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

My fault, sorry.

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMar 2 2017, 12:26 AM

Change 340668 merged by Jforrester:
[mediawiki/extensions/Citoid] Follow-up I805c991: Only try to clear the credit line if it exists

https://gerrit.wikimedia.org/r/340668

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 2 2017, 12:59 AM
Ryasmeen moved this task from To be Verified to Verified on the User-Ryasmeen board.